Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 05 Nov 2022 16:38:11 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery worst app I ever used.. I order 5 baby items 5 days before. message shown within 2days you will get it. but more than 5days I didn't get it. then I chat with customer care 4 to 5 times they said we solve your issue, we solve your issue. but they didn't worst customer care experience.  after I planned for cancel my order that also problem. only one item canceled other items still processing couldn't cancel. that canceled one item refund amount 29dhs they said 27dhs back to acc other 2dhs? why? and other items I couldn't cancel. why its so complicated in your app. please cancel my all items and refund it thank you. order id #9593045939 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5214058